Bug 110711 - American Truck Simulator shows strange colored reflections
Summary: American Truck Simulator shows strange colored reflections
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-19 15:50 UTC by Gregor Münch
Modified: 2019-09-25 18:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
ATS Menu (211.71 KB, image/jpeg)
2019-05-19 15:50 UTC, Gregor Münch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Münch 2019-05-19 15:50:34 UTC
Created attachment 144301 [details]
ATS Menu

There is strange colored noise on the chrome parts of the Truck, see screenshot. Wasnt sure if this was a game bug or a radeonsi one, so I didnt report, although it was there for several years.

After I saw that a lot graphical issues in other games went away R600_DEBUG=zerovram I tried that here too and voila!

For me, that looks like a general problem that was undiscovered for several years and needs examination.
Comment 1 Timothy Arceri 2019-05-27 01:58:57 UTC
Thanks for the bug report.

Patch to workaround the issue: https://patchwork.freedesktop.org/patch/306976/
Comment 2 Petr Sebor 2019-05-27 22:31:49 UTC
Whoops, this one got unnoticed (unreported?) for quite some time it seems. However, the game is still evolving and the rendering code improving over the years. If there is a performance overhead tied together to zeroing VRAM, I'd rather fix the game. I can do that. Please do not add workarounds if that is going to hurt the game performance.
Comment 3 Timothy Arceri 2019-05-27 22:58:47 UTC
(In reply to Petr Sebor from comment #2)
> Whoops, this one got unnoticed (unreported?) for quite some time it seems.
> However, the game is still evolving and the rendering code improving over
> the years. If there is a performance overhead tied together to zeroing VRAM,
> I'd rather fix the game. I can do that. Please do not add workarounds if
> that is going to hurt the game performance.

Performance shouldn't be impacted too much be we would much rather not have these workarounds. I've pushed the workaround to master for now but if you fix it please report it here and I've revert the change. Thanks.
Comment 4 GitLab Migration User 2019-09-25 18:50:00 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1407.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.